/**
 * Lecture du port série
 * Arduino doit envoyer un nombre au port série avec cette instruction :
 * Serial.println(maVariable); // type int !
 */


import processing.serial.*;

Serial myPort;  // Create object from Serial class
String inBuffer;      // Data received from the serial port
int lf = 10; // instancie la variable 'lf' avec la valeur 10. Elle servira à détecter la fin de l'envoi d'une ligne
int maValeur; // Nous allons convertir la valeur de inBuffer de String à int pour pouvoir ensuite l'utiliser dans le reste du code

void setup() 
{
  size(200, 200);
  String portName = Serial.list()[0];
  myPort = new Serial(this, portName, 9600);
}

void draw()
{
  while ( myPort.available() > 0) {  // If data is available,
    inBuffer = myPort.readStringUntil(lf);  // notez le "lf' !// read it and store it in val
  }
  
  if (inBuffer != null) {  // Si inBuffer a reçu quelque choses !
    println("mon inBuffer : "+inBuffer); // Montre la String mais ne montre pas les valeurs ajoutées par l'envoi et la lecture du port série
    inBuffer = inBuffer.trim(); // la fonction trim() va enlever les caractères spéciaux et invisibles 8-)
    // Une fois qu'on a la valeur correcte de inBuffer, on peut la convertir en 'int'
    maValeur = int(inBuffer); // conversion de inBuffer 'String' en maValeur 'int'
}

  if (maValeur > 800) {        // If the serial value is 0,
    fill(0);                   // set fill to black
  } 
  else {                       // If the serial value is not 0,
    fill(204);                 // set fill to light gray
  }
  rect(50, 50, 100, 100);
}
